vectorfield.hh File Reference
`#include <mia/core/attributes.hh>`
`#include <mia/2d/datafield.hh>`
Include dependency graph for 2d/vectorfield.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C2DFVectorfield
| a 2D field of floating point single accuracy 2D vectors More...
class | T2DVectorfield< T >
| 2D Vector field More...

## Typedefs

typedef T2DVectorfield< C2DDVector > | C2DDVectorfield
| 2D vector field to store double precicion 2D vectors
typedef std::shared_ptr< C2DFVectorfield > | P2DFVectorfield

## Functions

EXPORT_2D C2DFVectorfield & | operator+= (C2DFVectorfield &a, const C2DFVectorfield &b)

## Typedef Documentation

## C2DDVectorfield

typedef T2DVectorfield<C2DDVector> C2DDVectorfield

2D vector field to store double precicion 2D vectors

Definition at line 110 of file 2d/vectorfield.hh.

## P2DFVectorfield

typedef std::shared_ptr<C2DFVectorfield > P2DFVectorfield

Definition at line 107 of file 2d/vectorfield.hh.

## Function Documentation

## operator+=()

EXPORT_2D C2DFVectorfield & operator+= | ( | C2DFVectorfield & | a,
|  | const C2DFVectorfield & | b )

Concat two vector fields that descrive a transformation T_a = x - a(x) and T_b = x - b(x)

Parameters

  [in,out] | a | ; output=a( x - b(x) ) + b(x);
  | b |

Returns
  a( x - b(x) ) + b(x);

References EXPORT_2D, and NS_MIA_END.